// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.subsystems;

import edu.wpi.first.networktables.GenericEntry;
import edu.wpi.first.wpilibj.DigitalInput;
import edu.wpi.first.wpilibj.shuffleboard.Shuffleboard;
import edu.wpi.first.wpilibj2.command.SubsystemBase;
import com.revrobotics.spark.SparkMax;
import com.revrobotics.spark.SparkLowLevel.MotorType;
public class Elevateur extends SubsystemBase {
  /** Creates a new Elevateur. */
  public Elevateur() {}
  final SparkMax  monte = new SparkMax(22, MotorType.kBrushless);
  final DigitalInput limit2 = new DigitalInput(1);
  GenericEntry teb = Shuffleboard.getTab("teb")
  .add("elevateur encodeur",position())
  .getEntry();
  public double position(){
    return monte.getEncoder().getPosition();
  }
  public void vitesse(double vitesse){
    monte.set(vitesse);
  }
  public boolean limit2(){
    return limit2.get();
  } 
  public void reset(){
    monte.getEncoder().setPosition(0);
  }
  @Override
  public void periodic() {
    // This method will be called once per scheduler run
  }
}
